Bug 87805 - Wrong formatting of DOCX file: too much breaks no underlining
Summary: Wrong formatting of DOCX file: too much breaks no underlining
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:docx
Depends on:
Blocks: DOCX-Paragraph
  Show dependency treegraph
 
Reported: 2014-12-28 19:31 UTC by Yan Pas
Modified: 2021-07-20 10:18 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
buggy file (34.62 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-12-28 19:31 UTC, Yan Pas
Details
screenshot (113.97 KB, image/png)
2014-12-28 19:32 UTC, Yan Pas
Details
Original document saved in Word2013 (18.19 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-11-24 14:25 UTC, NISZ LibreOffice Team
Details
The original document and its W13-saved version in current Writer master (34.62 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-11-24 14:26 UTC, NISZ LibreOffice Team
Details
The original document and its W13-saved version in current Writer master (94.83 KB, image/png)
2021-07-19 14:50 UTC, NISZ LibreOffice Team
Details
The example document in Word 19 and current Writer (149.77 KB, image/png)
2021-07-20 06:21 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yan Pas 2014-12-28 19:31:40 UTC
Created attachment 111436 [details]
buggy file

MS Word and even Google Docs open it correctly, but LO inserts too much breaks and doesn't underline strings
Comment 1 Yan Pas 2014-12-28 19:32:34 UTC
Created attachment 111437 [details]
screenshot

Added screenshot
Comment 2 Urmas 2014-12-28 21:12:11 UTC
Confirming.
Comment 3 Robinson Tryon (qubit) 2015-12-09 18:45:00 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2017-12-10 16:39:48 UTC Comment hidden (obsolete)
Comment 5 Yan Pas 2017-12-20 08:47:38 UTC
Still exists 5.4.3.2
Comment 6 QA Administrators 2018-12-21 03:51:25 UTC Comment hidden (obsolete)
Comment 7 NISZ LibreOffice Team 2020-11-24 14:25:37 UTC
Created attachment 167536 [details]
Original document saved in Word2013

Interestingly the problem still occurs, but saving the file in Word 2013 makes the lines appear (these are actually upper paragraph borders of empty paragraphs with font size 1pt).
Comment 8 NISZ LibreOffice Team 2020-11-24 14:26:22 UTC
Created attachment 167538 [details]
The original document and its W13-saved version in current Writer master

Version: 7.2.0.0.alpha0+ (x64)
Build ID: f313e27fb7f2d42247407e26e16f264e30f87ca5
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL
Comment 9 NISZ LibreOffice Team 2020-11-24 14:27:22 UTC
Changing meta, let's say the paragraph borders disappearing are the problem.
Comment 10 NISZ LibreOffice Team 2021-07-19 14:50:39 UTC
Created attachment 173677 [details]
The original document and its W13-saved version in current Writer master

Wrong attachment... original (saved with Microsoft Macintosh Word 14) still looked bad in:

Version: 7.1.0.3 (x64) / LibreOffice Community
Build ID: f6099ecf3d29644b5008cc8f48f42f4a40986e4c
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: default; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded

But it got better in 7.2 RC1.
Comment 11 NISZ LibreOffice Team 2021-07-19 14:56:08 UTC
Seems to have been fixed by:

https://git.libreoffice.org/core/+/ab5ac64bdd3205ba2ba9ac038719826f703a09a3

author	Noel Grandin <noel.grandin@collabora.co.uk>	Thu Jun 24 15:01:02 2021 +0200
committer	Noel Grandin <noel.grandin@collabora.co.uk>	Fri Jun 25 14:51:08 2021 +0200

tdf#135316 store stylesheets in a map
Comment 12 NISZ LibreOffice Team 2021-07-20 06:21:26 UTC
Created attachment 173697 [details]
The example document in Word 19 and current Writer

Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: da13b76e07231131cb951868a314ee6f51c0f254
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL

The paragraph borders are displayed now.
There are still some minor differences in the tables where the text barely fits in the cell in Word and breaks to a new line in Writer.
Comment 13 NISZ LibreOffice Team 2021-07-20 10:18:40 UTC
The remaining issues, as marked in my previous screenshot are a consequence of "Automatically resize to fit contents" being enabled on the tables in Word and this option not existing in Writer - which is bug 109524.
Turning that off in Word results in a similar "one word becomes broken to multiple lines" as in Writer.

As for the disappearing paragraph borders, we can close this one and thanks Noel for fixing it! :)